from typing import Literal, TypeVar

T = TypeVar('T', bound='MsOvba')

class MsOvba:
    def __init__(self, endian: Literal['little', 'big'] = 'little') -> None: ...
    def decompress(self, compressed_container: bytes) -> bytes: ...
    def compress(self, data: bytes) -> bytes: ...
    @staticmethod
    def copytoken_help(difference: int) -> dict: ...
    @staticmethod
    def unpack_copytoken(copytoken: int, help: dict) -> dict: ...
    @staticmethod
    def pack_copytoken(length: int, offset: int, help: dict) -> int: ...
    @staticmethod
    def ceil_log2(int: int) -> int: ...
